---
schema_version: "1"
id: 19695e3543aa0e0ebdaf134fca6404ef6d9d98fe7ce5188a0ff96c7df4e2c55f
title: Get Lightning Page Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_flexipage.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_flexipage.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 22078c53b70748a390aa55b3c299c9d181ea5d4e0ef0f7ee8ce49ef7987fec24
description: Get the actions on Lightning pages (FlexiPages).
---
# Get Lightning Page Actions

Get the actions on Lightning pages (FlexiPages).

Resource

/ui-api/actions/flexipage/${flexipageNames}

flexipageNames—A Lightning page name, or a comma-delimited list of Lightning page names.

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have a Lightning page named MyNewLightningPage. The page has quick actions for logging a call and creating an account. To get information about all the actions on this page, make this request:

GET /services/data/v68.0/ui-api/actions/flexipage/MyNewLightningPage

The request returns a list of actions on the Lightning page and the URLs of the request and subrequests.

{
  "actions" : {
    "MyNewLightningPage" : {
      "actions" : \[ {
        "actionListContext" : "Flexipage",
        "actionTarget" : "/services/data/v41.0/quickActions/LogACall/describe",
        "actionTargetType" : "Describe",
        "apiName" : "LogACall",
        "externalId" : "00DR00000008n7M:MyNewLightningPage::Flexipage:Desktop:09DR00000000Snt",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/log\_a\_call\_120.png",
        "id" : "0JVR00000000009OAA",
        "isMassAction" : "false",
        "label" : "Log a Call",
        "primaryColor" : "48C3CC",
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : null,
        "sourceObject" : "MyNewLightningPage",
        "subtype" : "LogACall",
        "targetObject" : "Task",
        "targetUrl" : null,
        "type" : "QuickAction"
      }, {
        "actionListContext" : "Flexipage",
        "actionTarget" : "/services/data/v41.0/quickActions/NewAccount/describe",
        "actionTargetType" : "Describe",
        "apiName" : "NewAccount",
        "externalId" : "00DR00000008n7M:MyNewLightningPage::Flexipage:Desktop:09DR00000000Sni",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_account\_120.png",
        "id" : "0JVR00000000010OAA",
        "isMassAction" : "false",
        "label" : "New Account",
        "primaryColor" : "7F8DE1",
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : null,
        "sourceObject" : "MyNewLightningPage",
        "subtype" : "Create",
        "targetObject" : "Account",
        "targetUrl" : null,
        "type" : "QuickAction"
      } \],
      "links" : \[ \],
      "url" : "/services/data/v41.0/ui-api/actions/flexipage/MyNewLightningPage"
    }
  },
  "url" : "/services/data/v41.0/ui-api/actions/flexipage/MyNewLightningPage"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d44912e123">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d44912e126">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d44912e129">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d44912e132">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d44912e135">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d44912e123" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d44912e126" data-title="Type">String[]</td>

                  <td class="entry" headers="d44912e129" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d44912e132" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d44912e135" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d44912e123" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d44912e126" data-title="Type">String[]</td>

                  <td class="entry" headers="d44912e129" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d44912e132" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d44912e135" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d44912e123" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d44912e126" data-title="Type">String</td>

                  <td class="entry" headers="d44912e129" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d44912e132" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d44912e135" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d44912e123" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d44912e126" data-title="Type">String</td>

                  <td class="entry" headers="d44912e129" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d44912e132" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d44912e135" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d44912e123" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d44912e126" data-title="Type">String[]</td>

                  <td class="entry" headers="d44912e129" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d44912e132" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d44912e135" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")